#ifndef SD_DISKIO_H
#define SD_DISKIO_H

#include "lib/fatfs/ff.h"
#include "lib/fatfs/diskio.h"

/** \brief gibt des Status der SD Karte zurck
*/
DSTATUS SD_disk_status(void);

/** \brief Initialiseren der SD Karte
*/
DSTATUS SD_disk_initialize(void);

/** \brief Blcke von der SD Karte lesen
*/
DRESULT SD_disk_read(
	BYTE *buff,		/* Data buffer to store read data */
	DWORD sector,	/* Start sector in LBA */
	UINT count		/* Number of sectors to read */
);

/** \brief Blcke auf die SD Karte schreiben
*/
DRESULT SD_disk_write (
	const BYTE *buff,	/* Data to be written */
	DWORD sector,		/* Start sector in LBA */
	UINT count			/* Number of sectors to write */
);

/** \brief Disc COntrol
*/
DRESULT SD_disk_ioctl (
	BYTE cmd,		/* Control code */
	void *buff		/* Buffer to send/receive control data */
);

#endif//SD_DISKIO_H